Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class ManyToOne

    java.lang.Object
      org.hibernate.mapping.SimpleValue
          org.hibernate.mapping.ToOne
              org.hibernate.mapping.ManyToOne

All Implemented Interfaces:
  Serializable, Fetchable, KeyValue, Value

    public class ManyToOne

extends ToOne

A many-to-one association mapping

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.ToOne
`referencedPropertyName, unwrapProxy`

Constructor Summary
`ManyToOne(Table table)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`void` | `createForeignKey()`
`void` | `createPropertyRefConstraints(Map persistentClasses)`
`Type` | `getType()`
`boolean` | `isIgnoreNotFound()`
`void` | `setIgnoreNotFound(boolean ignoreNotFound)`

Methods inherited from class org.hibernate.mapping.ToOne
`getFetchMode, getReferencedEntityName, getReferencedPropertyName, isEmbedded, isLazy, isTypeSpecified, isUnwrapProxy, isValid, setEmbedded, setFetchMode, setLazy, setReferencedEntityName, setReferencedPropertyName, setTypeUsingReflection, setUnwrapProxy`

Methods inherited from class org.hibernate.mapping.SimpleValue
`addColumn, addFormula, createForeignKeyOfEntity, createIdentifierGenerator, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getConstraintColumns, getForeignKeyName, getIdentifierGeneratorProperties, getIdentifierGeneratorStrategy, getNullValue, getTable, getTypeName, getTypeParameters, hasFormula, isAlternateUniqueKey, isCascadeDeleteEnabled, isIdentityColumn, isNullable, isSimpleValue, isUpdateable, setAlternateUniqueKey, setCascadeDeleteEnabled, setForeignKeyName, setIdentifierGeneratorProperties, setIdentifierGeneratorStrategy, setNullValue, setTable, setTypeName, setTypeParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManyToOne

    public ManyToOne(Table table)

Method Detail

### getType

    public Type getType()
                 throws MappingException

  Specified by:
    `getType` in interface `Value`
  Specified by:
    `getType` in class `ToOne`
  Throws:
    `MappingException`

### createForeignKey

    public void createForeignKey()
                          throws MappingException

  Specified by:
    `createForeignKey` in interface `Value`
  Specified by:
    `createForeignKey` in class `ToOne`
  Throws:
    `MappingException`

### createPropertyRefConstraints

    public void createPropertyRefConstraints(Map persistentClasses)

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `ToOne`

### isIgnoreNotFound

    public boolean isIgnoreNotFound()

### setIgnoreNotFound

    public void setIgnoreNotFound(boolean ignoreNotFound)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD